org.richfaces.component

## Interface MetaComponentResolver

- All Known Implementing Classes:
    AbstractAccordion, AbstractAutocomplete, AbstractCalendar, AbstractCollapsiblePanel, AbstractCollapsibleSubTable, AbstractCommandButton, AbstractCommandLink, AbstractDataGrid, AbstractDataTable, AbstractExtendedDataTable, AbstractProgressBar, AbstractRegion, AbstractSelect, AbstractTabPanel, AbstractTogglePanel, AbstractTooltip, AbstractTree, AbstractTreeNode, UIAccordion, UIAutocomplete, UICalendar, UICollapsiblePanel, UICollapsibleSubTable, UICommandButton, UICommandLink, UIDataGrid, UIDataTable, UIDataTableBase, UIExtendedDataTable, UIProgressBar, UIRegion, UISelect, UITabPanel, UITogglePanel, UITooltip, UITree, UITreeNode

      public interface MetaComponentResolver

  MetaComponentResolver interface is used to customize resolution of meta-components
  Author:
    Nick Belaevski

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static char` | `META_COMPONENT_SEPARATOR_CHAR`

  - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `String` | `resolveClientId(javax.faces.context.FacesContext facesContext, javax.faces.component.UIComponent contextComponent, String metaComponentId)` Resolves and returns string identifying supported meta-component or `null` if provided meta-component name is not a supported one.
    `String` | `substituteUnresolvedClientId(javax.faces.context.FacesContext facesContext, javax.faces.component.UIComponent contextComponent, String metaComponentId)` Provides replacement for unresolved meta-component names.

- - ### Field Detail

    - #### META_COMPONENT_SEPARATOR_CHAR

          static final char META_COMPONENT_SEPARATOR_CHAR

      See Also:
        Constant Field Values

  - ### Method Detail

    - #### resolveClientId

          String resolveClientId(javax.faces.context.FacesContext facesContext,
                                 javax.faces.component.UIComponent contextComponent,
                                 String metaComponentId)

      Resolves and returns string identifying supported meta-component or `null` if provided meta-component name is not a supported one.
      Parameters:
        `facesContext` - - current instance of `FacesContext`
        `contextComponent` - - instance of `UIComponent` that requested resolution of meta-component
        `metaComponentId` - - name of meta-component (without leading '@' sign)
      Returns:
        clientId, one of supported meta-names such as @all, @this, etc. or `null`

    - #### substituteUnresolvedClientId

          String substituteUnresolvedClientId(javax.faces.context.FacesContext facesContext,
                                              javax.faces.component.UIComponent contextComponent,
                                              String metaComponentId)

      Provides replacement for unresolved meta-component names. Returns identifier string for the chosen substitution or `null`
      Parameters:
        `facesContext` - - current instance of `FacesContext`
        `contextComponent` - - instance of `UIComponent` that requested resolution of meta-component
        `metaComponentId` - - name of meta-component (without leading '@' sign)
      Returns:
        clientId, one of supported meta-names such as @all, @this, etc. or `null`

Copyright © 2015 JBoss by Red Hat. All Rights Reserved.